#ifndef __NT_BUTTON_H__
#define __NT_BUTTON_H__

#include "NTWidget.h"
#include "NTGlobals.h"

namespace NTCurses {

class NTButton : public NTWidget {
public:
	NTButton( NTWidget *parent );
	NTButton( NT::NTString id , NTWidget *parent );

	virtual void Draw( void );
	virtual void HandleKeyEvent( int keycode );
	virtual void OnClick( void );

	void SetValue( NT::NTString s );
	NT::NTString GetValue( void );

protected:
	void InitButton( void );

	NT::NTString sValue;

	unsigned int attrActiveEnabled;
	unsigned int attrInactiveEnabled;
	unsigned int attrDisabled;
	

};

}

#endif
